org.apache.jmeter.gui.action

## Class RawTextSearcher

- java.lang.Object
- - org.apache.jmeter.gui.action.RawTextSearcher

- All Implemented Interfaces:
    Searcher

      public class RawTextSearcher
      extends Object
      implements Searcher

  Searcher implementation that searches text as is

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RawTextSearcher(boolean caseSensitive, String textToSearch)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `search(List<String> textTokens)` Implements the search
    `protected boolean` | `testField(String value, String searchedTextLowerCase)` Returns true if searchedTextLowerCase is in value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RawTextSearcher

          public RawTextSearcher(boolean caseSensitive,
                                 String textToSearch)

      Constructor
      Parameters:
        `caseSensitive` - is search case sensitive
        `textToSearch` - Text to search

  - ### Method Detail

    - #### search

          public boolean search(List<String> textTokens)

      Implements the search
      Specified by:
        `search` in interface `Searcher`
      Parameters:
        `textTokens` - List of content to be searched
      Returns:
        true if search on textTokens is successful

    - #### testField

          protected boolean testField(String value,
                                      String searchedTextLowerCase)

      Returns true if searchedTextLowerCase is in value
      Parameters:
        `value` - string in which the search will be done
        `searchedTextLowerCase` - string which will be searched for
      Returns:
        true if searchedTextLowerCase is in value

Copyright © 1998-2017 Apache Software Foundation. All Rights Reserved.